/* Copyright (C) 2011-2024  Patrick H. E. Foubet - S.E.R.I.A.N.E.

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or any
later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>
*******************************************************************/
/* libmath.h */

#ifndef __NIFE_LIBMATH_H__
#define __NIFE_LIBMATH_H__

extern void IF_inv(void);
extern void IF_sqrt(void);
extern void IF_cbrt(void);
extern void IF_round(void);
extern void IF_floor(void);
extern void IF_ceil(void);
extern void IF_sgn(void);
extern void IF_abs(void);

extern void IF_pi(void);
extern void IF_sin(void);
extern void IF_cos(void);
extern void IF_tan(void);
extern void IF_asin(void);
extern void IF_acos(void);
extern void IF_atan(void);
extern void IF_sinh(void);
extern void IF_cosh(void);
extern void IF_tanh(void);
extern void IF_asinh(void);
extern void IF_acosh(void);
extern void IF_atanh(void);

extern void IF_ln(void);
extern void IF_log(void);
extern void IF_exp(void);

extern void IF_j0(void);
extern void IF_j1(void);
extern void IF_y0(void);
extern void IF_y1(void);

#endif
